Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.listeners
Class ObjectListener

    java.lang.Object
      com.hp.hpl.jena.rdf.listeners.ObjectListener

All Implemented Interfaces:
  ModelChangedListener

    public class ObjectListener

extends java.lang.Object
implements ModelChangedListener

Listener that funnels all the changes into add/removed(Object) x, ie, leaves discrimination to be done on the type of object added or removed.

Author:
  kers

Constructor Summary
`ObjectListener()`

Method Summary
`void` | `added(java.lang.Object x)` Override this to track all the objects added; each object will be a Statement, a Statement [], a List (Statement), an Iterator (Statement), or a Model.
`void` | `addedStatement(Statement s)` Method to call when a single statement has been added to the attached model.
`void` | `addedStatements(java.util.List statements)` Method to call when a list of statements has been added to the attached model.
`void` | `addedStatements(Model m)` Method to call when a model has been used to define the statements to be added to our attached model.
`void` | `addedStatements(Statement[] statements)` Method to call when an array of statements has been added to the attached model.
`void` | `addedStatements(StmtIterator statements)` Method to call when a statement iterator has supplied elements to be added to the attached model.
`void` | `notifyEvent(Model m, java.lang.Object event)`
`void` | `removed(java.lang.Object x)` Override this to track all the objects removed; each object will be a Statement, a Statement [], a List (Statement), an Iterator (Statement), or a Model.
`void` | `removedStatement(Statement s)` Method to call when a single statement has been removed from the attached model.
`void` | `removedStatements(java.util.List statements)` Method to call when a list of statements has been deleted from the attached model.
`void` | `removedStatements(Model m)` Method to call when a model has been used to remove statements from our attached model.
`void` | `removedStatements(Statement[] statements)` Method to call when an array of statements has been removed from the attached model.
`void` | `removedStatements(StmtIterator statements)` Method to call when a statement iterator has been used to remove statements from the attached model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectListener

    public ObjectListener()

Method Detail

### added

    public void added(java.lang.Object x)

  Override this to track all the objects added; each object will be a Statement, a Statement [], a List (Statement), an Iterator (Statement), or a Model.

### removed

    public void removed(java.lang.Object x)

  Override this to track all the objects removed; each object will be a Statement, a Statement [], a List (Statement), an Iterator (Statement), or a Model.

### addedStatement

    public void addedStatement(Statement s)

  Description copied from interface: `ModelChangedListener`
  Method to call when a single statement has been added to the attached model.

  Specified by:
    `addedStatement` in interface `ModelChangedListener`
  Parameters:
    `s` - the statement that has been presented for addition.

### addedStatements

    public void addedStatements(Statement[] statements)

  Description copied from interface: `ModelChangedListener`
  Method to call when an array of statements has been added to the attached model. NOTE. This array need not be == to the array added using Model::add(Statement[]).

  Specified by:
    `addedStatements` in interface `ModelChangedListener`
  Parameters:
    `statements` - the array of added statements

### addedStatements

    public void addedStatements(java.util.List statements)

  Description copied from interface: `ModelChangedListener`
  Method to call when a list of statements has been added to the attached model. NOTE. This list need not be == to the list added using Model::add(List).

  Specified by:
    `addedStatements` in interface `ModelChangedListener`
  Parameters:
    `statements` - the list of statements that has been removed.

### addedStatements

    public void addedStatements(StmtIterator statements)

  Description copied from interface: `ModelChangedListener`
  Method to call when a statement iterator has supplied elements to be added to the attached model. `statements` is a copy of the original iterator.

  Specified by:
    `addedStatements` in interface `ModelChangedListener`

### addedStatements

    public void addedStatements(Model m)

  Description copied from interface: `ModelChangedListener`
  Method to call when a model has been used to define the statements to be added to our attached model.

  Specified by:
    `addedStatements` in interface `ModelChangedListener`
  Parameters:
    `m` - a model equivalent to [and sharing with] the added model

### removedStatement

    public void removedStatement(Statement s)

  Description copied from interface: `ModelChangedListener`
  Method to call when a single statement has been removed from the attached model.

  Specified by:
    `removedStatement` in interface `ModelChangedListener`
  Parameters:
    `s` - the statement that has been presented for removal.

### removedStatements

    public void removedStatements(Statement[] statements)

  Description copied from interface: `ModelChangedListener`
  Method to call when an array of statements has been removed from the attached model. NOTE. This array need not be == to the array added using Model::remove(Statement[]).

  Specified by:
    `removedStatements` in interface `ModelChangedListener`
  Parameters:
    `statements` - the array of removed statements

### removedStatements

    public void removedStatements(java.util.List statements)

  Description copied from interface: `ModelChangedListener`
  Method to call when a list of statements has been deleted from the attached model. NOTE. This list need not be == to the list added using Model::remov(List).

  Specified by:
    `removedStatements` in interface `ModelChangedListener`
  Parameters:
    `statements` - the list of statements that have been removed.

### removedStatements

    public void removedStatements(StmtIterator statements)

  Description copied from interface: `ModelChangedListener`
  Method to call when a statement iterator has been used to remove statements from the attached model. The iterator will be a copy, in the correct order, of the iterator supplied for the removal.

  Specified by:
    `removedStatements` in interface `ModelChangedListener`
  Parameters:
    `statements` - a statement-type copy of the updating iterator

### removedStatements

    public void removedStatements(Model m)

  Description copied from interface: `ModelChangedListener`
  Method to call when a model has been used to remove statements from our attached model.

  Specified by:
    `removedStatements` in interface `ModelChangedListener`
  Parameters:
    `m` - a model equivalent to [and sharing with] the one removed

### notifyEvent

    public void notifyEvent(Model m,
                            java.lang.Object event)

  Specified by:
    `notifyEvent` in interface `ModelChangedListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP